NutzCN Logo
分享 NutzWk 3.0纯净版发布
发布于 1377天前 作者 大鲨鱼 2933 次浏览 复制 上一个帖子 下一个帖子
标签: nutzwk

演示地址:
http://nutzwk.wizzer.cn

源码地址:

https://github.com/Wizzercn/NutzWk/tree/v3.0.0

版本说明:
纯净版主要通过shiro实现一整套企业级权限体系,功能包含单位管理、用户管理、角色管理、菜单管理、系统参数等模块。
开发者可根据需求随意扩展使用本框架,作者后续也会逐步发布 3.x版本增加新功能(比如增加微信模块、做个商城?)。

版本特性:
1、由老版本的 Velocity 模板引擎改为 Beetl 模板引擎,使用 layout 布局;
2、对比1.0有更美观的UI界面,以及更完善的安全控制体系,对比2.0,结构更清晰代码更简洁;
3、使用PJAX+Bootstrap实现无刷新加载(但不能使用浏览器的后退功能,如不需pjax可自行注释);
4、计划增加在线定时任务管理、自定义路由等功能;
QQ截图20160629021753_png

24 回复

怒赞👍

来自炫酷的 NutzCN

@Wizzercn 学习学习

来自炫酷的 NutzCN

pom.xml里面
2.1-SNAPSHOT
还没改

不错不错,支持一下

这么好的利器得好好研究下才能发挥其绝妙神功!

已经用在公司内部系统里了。
先用了个小系统试验~~目前很不错。

兽兽哥,后期是否要产生系统框架文档,相关的api文档?

做小项目的时候还是使用内置服务器和数据库比较方便,
克隆并建立了个分支:https://github.com/enilu/NutzWk/tree/jetty
使用jetty和h2,代替了tomcat和mysql

clone下来后 使用jetty:run 运行报错

[ERROR] No plugin found for prefix 'jetty' in the current project and in the plugin groups [org.apache.maven.plugins, org.codehaus.mojo] available from the repositories [local (C:\Users\admin.m2\repository), central (http://repo.maven.apache.org/maven2)] -> [Help 1]

最新的代码可以这样启动

mvn exec:java -Dexec.mainClass="org.nutz.web.WebLauncher"

这个可以成功,谢谢 ! 不过端口不是8084 而是 8080

在eclipse中可以成功部署开发环境。

如果在linux系统中使用 mvn exec:java -Dexec.mainClass="org.nutz.web.WebLauncher" 提示如下错误,web.properties 找不到,其实是有这个文件的,是和路径有关系吗

[WARNING]
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:606)
at org.codehaus.mojo.exec.ExecJavaMojo$1.run(ExecJavaMojo.java:294)
at java.lang.Thread.run(Thread.java:745)
Caused by: java.lang.RuntimeException: java.io.FileNotFoundException: web.properties
at org.nutz.web.WebLauncher.start(WebLauncher.java:49)
at org.nutz.web.WebLauncher.main(WebLauncher.java:25)
... 6 more
Caused by: java.io.FileNotFoundException: web.properties
... 8 more

需要先compile然后执行.

compile jdk版本需要1.8 如果是1.7 编译会报错。

eclipse 开发环境 linux 测试环境都已经部署成功 谢谢!

不会用maven,怎么导入源代码啊

@qq_e95d36ce 那就不用玩了.

谁能给个详细步骤啊

用postgre数据出错

支持一下

来自 YQ603

添加回复
该帖子已被锁定,不能回复.
回到顶部